---
title: BaseAudioContext.createConstantSource()
slug: Web/API/BaseAudioContext/createConstantSource
tags:
  - API
  - Audio
  - AudioContext
  - BaseAudioContext
  - ConstantSourceNode
  - Media
  - Method
  - createConstantSource
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>createConstantSource()</code></strong> property of the {{domxref("BaseAudioContext")}} interface creates a {{domxref("ConstantSourceNode")}} object, which is an audio source that continuously outputs a monaural (one-channel) sound signal whose samples all have the same value.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var constantSourceNode = AudioContext.createConstantSource()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A {{domxref('ConstantSourceNode')}} instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-baseaudiocontext-createconstantsource','createConstantSource()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BaseAudioContext.createConstantSource")}}</p>
</div>
